Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1113499 - [RHEVM] Special character handling on VM Description is not correct
Summary: [RHEVM] Special character handling on VM Description is not correct
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.5.0
Assignee: Shahar Havivi
QA Contact: Pavel Novotny
URL:
Whiteboard: virt
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-06-26 09:45 UTC by Alexandros Gkesos
Modified: 2018-12-09 18:04 UTC (History)
12 users (show)

Fixed In Version: vt1.3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-11 18:04:15 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 1229303 None None None Never
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 29292 master MERGED ui: remove Escape characters for TextBoxLabel Never

Description Alexandros Gkesos 2014-06-26 09:45:10 UTC
Created attachment 912391 [details]
RHEVM - Special Characters on VM's description handling

Description of problem:Special character handling on VM Description is not correct 


Version-Release number of selected component (if applicable): RHEVM 3.4.0-0.21


How reproducible: Create/Edit a VM's description with Special Characters


Steps to Reproduce:
1.Include special characters &, ', ",< ,> in a VM's description
2.
3.

Actual results: &amp; &#39; &quot; &lt; &gt;


Expected results: & ' " < >


Additional info:

Comment 1 Omer Frenkel 2014-06-26 10:25:38 UTC
i verified it is reproduced in UI only, in rest api the result is ok

Comment 3 Pavel Novotny 2014-08-12 12:42:32 UTC
Verified upstream in ovirt-engine-3.5.0-0.0.master.20140804172041.git23b558e.el6.noarch (rc1; post-vt1.3 upstream build).

Created VM with description & ' " < >
- VM -> General sub-tab shows Description: & ' " < >
- edit VM -> Description input box has value & ' " < >

Comment 5 errata-xmlrpc 2015-02-11 18:04:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.